=== debian/changelog ===
pdal (2.3.0+ds-2) unstable; urgency=medium

  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Add pkg-config to build dependencies.
  * Add patch to fix FTBFS with GCC 11.
    (closes: #984285)
  * Update symbols for amd64.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 11 Oct 2021 07:31:37 +0200

pdal (2.3.0+ds-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Bump Standards-Version to 4.6.0, no changes.
  * Update lintian overrides.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 Sep 2021 15:10:11 +0200

pdal (2.3.0+ds-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 29 May 2021 07:20:26 +0200

pdal (2.3+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop presentations from repacking, removed upstream.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 28 May 2021 05:52:18 +0200

pdal (2.3~rc1+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump watch file version to 4.
  * Update lintian overrides.
  * Bump Standards-Version to 4.5.1, no changes.
  * Update watch file for GitHub URL changes.
  * Update uversionmangle to use lowercase RC.
  * Rename library package for SONAME bump.
  * Require at least libgdal-dev 3.0.
  * Update copyright file.
  * Enable Draco plugin.
  * Refresh patches.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 19 May 2021 17:03:23 +0200
